"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const file_url_1 = __importDefault(require("file-url"));
const fs = __importStar(require("fs"));
const lodash_1 = __importDefault(require("lodash"));
const path = __importStar(require("path"));
const validators_1 = require("./validators");
function default_1(arr) {
    const res = lodash_1.default.map(arr, (i) => {
        if (validators_1.isValidURL(i)) {
            return i;
        }
        if (validators_1.isValidHTML(i)) {
            return i;
        }
        if (validators_1.isValidPath(i)) {
            if (i.endsWith(".html")) {
                return file_url_1.default(i);
            }
            if (i.endsWith(".txt")) {
                const filePath = path.resolve(process.cwd(), i);
                return fs.readFileSync(filePath, "utf-8").trim().split(/\r?\n/);
            }
        }
        return i;
    });
    return lodash_1.default.flatten(res);
}
exports.default = default_1;
