"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = __importDefault(require("lodash"));
const devices_1 = __importDefault(require("../devices"));
function default_1(input) {
    let arr = [];
    switch (input) {
        case "desktop":
            arr = lodash_1.default.filter(devices_1.default, ["viewport.isMobile", false]);
            break;
        case "touch":
            arr = lodash_1.default.filter(devices_1.default, ["viewport.hasTouch", true]);
            break;
        case "mobile":
            arr = lodash_1.default.filter(devices_1.default, ["viewport.isMobile", true]);
            break;
        case "landscape":
            arr = lodash_1.default.filter(devices_1.default, ["viewport.isLandscape", true]);
            break;
        default: {
            const reg = new RegExp(input, "gi");
            arr = lodash_1.default.filter(devices_1.default, (d) => d.name.match(reg));
            break;
        }
    }
    return arr;
}
exports.default = default_1;
